Skip to main content
GET
Costs grouped by a dimension

Authorizations

Authorization
string
header
required

Query Parameters

analysis_id
string
Required string length: 1 - 255
code
enum<string>[]
  • llm_cost_usd - llm cost usd
  • tool_cost_usd - tool cost usd
  • compute_cost_usd - compute cost usd
Available options:
llm_cost_usd,
tool_cost_usd,
compute_cost_usd
end
string<date>
group_by
enum<string>
required
  • provider - provider
  • code - code
  • module - module
  • service - service
  • model - model
  • tool - tool
  • organization - organization
  • workspace - workspace
  • analysis - analysis
Available options:
provider,
code,
module,
service,
model,
tool,
organization,
workspace,
analysis
Minimum string length: 1
limit
integer
default:50
Required range: 1 <= x <= 500
model
string
Required string length: 1 - 255
module
string
Required string length: 1 - 50
organization_id
string<uuid>
provider
string
Required string length: 1 - 100
service
string
Required string length: 1 - 50
start
string<date>
workspace_id
string<uuid>

Response

group_by
string
required
total_cost_usd
number<double>
required
rows
object[]
required